> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Webhook

> Register a webhook URL for product updates.

zunkiree-search will be notified when:
- Product created
- Product updated
- Product deleted
- Inventory changed significantly



## OpenAPI

````yaml /api-reference/openapi.json post /api/sync/webhook/register
openapi: 3.1.0
info:
  title: Agentic Commerce API
  description: |2-

        Agentic Commerce API - E-commerce Backend

        ## APIs

        ### Dashboard API (`/api/dashboard`)
        Authenticated endpoints for merchant management:
        - Products, Variants, Options
        - Inventory management
        - Orders and fulfillment
        - Customers
        - Collections

        ### Storefront API (`/api/storefront`)
        Public endpoints for client websites:
        - Product catalog
        - Collections
        - Cart management
        - Checkout

        ### Sync API (`/api/sync`)
        Integration endpoints for zunkiree-search:
        - Product sync
        - Availability checks
        - Order creation from AI widget
        
  version: 1.0.0
servers: []
security: []
paths:
  /api/sync/webhook/register:
    post:
      tags:
        - Sync
        - Webhooks
      summary: Register Webhook
      description: |-
        Register a webhook URL for product updates.

        zunkiree-search will be notified when:
        - Product created
        - Product updated
        - Product deleted
        - Inventory changed significantly
      operationId: register_webhook_api_sync_webhook_register_post
      parameters:
        - name: X-Sync-Secret
          in: header
          required: true
          schema:
            type: string
            title: X-Sync-Secret
        - name: X-Site-ID
          in: header
          required: true
          schema:
            type: string
            title: X-Site-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookRegister'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookRegister:
      properties:
        url:
          type: string
          title: Url
        events:
          items:
            type: string
          type: array
          title: Events
      type: object
      required:
        - url
        - events
      title: WebhookRegister
      description: Schema for registering a webhook.
    WebhookResponse:
      properties:
        id:
          type: string
          title: Id
        url:
          type: string
          title: Url
        events:
          items:
            type: string
          type: array
          title: Events
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - url
        - events
        - created_at
      title: WebhookResponse
      description: Schema for webhook in responses.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````